<?php
namespace Zeedhi\Tools\DatabaseReader\DTO\Constraints;

use Zeedhi\Tools\DatabaseReader\DTO\Constraint;

class ForeignKey extends Constraint{

    const DELETE_RULE_CASCADE = 'C';
    const DELETE_RULE_RESTRICT = 'R';
    const DELETE_RULE_SET_NULL = 'S';
    const DELETE_RULE_NO_ACTION = 'N';

    /** @var string */
    protected $deleteRule;
    /** @var string */
    protected $referencedConstraintName = null;

    public function __construct($constraintName, $referencedConstraintName, $deleteRule){
        parent::__construct($constraintName);
        $this->referencedConstraintName = $referencedConstraintName;
        $this->deleteRule = $deleteRule;
    }

    /**
     * @return string
     */
    public function getReferencedConstraintName(){
        return $this->referencedConstraintName;
    }

    /**
     * @return string
     */
    public function getDeleteRule(){
        return $this->deleteRule;
    }
}